NppiJpegDecodeJobMemory Struct Reference
Compression

Memory buffers used by one decode job. More...

`#include <nppi_compression_functions.h>`

## Data Fields

const Npp8u * | pCpuScan
| Pointer to host memory containing compressed scan data. More...
Npp8u * | pGpuScan
| Pointer to device memory used for compressed scan data. More...
void * | apCpuBuffer [NPPI_JPEG_DECODE_N_BUFFERS]
| Pointers to additional host buffers used by job. More...
void * | apGpuBuffer [NPPI_JPEG_DECODE_N_BUFFERS]
| Pointers to additional device buffers used by job. More...

## Detailed Description

Memory buffers used by one decode job.

See Also
  nppiJpegDecodeJobMemorySize
  nppiJpegDecodeJob

## Field Documentation

void* NppiJpegDecodeJobMemory::apCpuBuffer[NPPI_JPEG_DECODE_N_BUFFERS]

Pointers to additional host buffers used by job.

Call nppiJpegDecodeJobMemorySize to query sizes of these buffers. `apCpuBuffer[i]` should point to at least `aSize[i]` bytes. If `aSize[i] == 0`, the pointer should be set to NULL.

void* NppiJpegDecodeJobMemory::apGpuBuffer[NPPI_JPEG_DECODE_N_BUFFERS]

Pointers to additional device buffers used by job.

Minimal sizes of buffers should be the same as the sizes of apCpuBuffer.

const Npp8u* NppiJpegDecodeJobMemory::pCpuScan

Pointer to host memory containing compressed scan data.

Should be allocated with additional nppiJpegDecodeGetScanDeadzoneSize bytes of usable memory after the end of compressed scan data. Should be filled by caller.

Npp8u* NppiJpegDecodeJobMemory::pGpuScan

Pointer to device memory used for compressed scan data.

Should be allocated with additional nppiJpegDecodeGetScanDeadzoneSize bytes of usable memory after the end of compressed scan data. Should be filled by caller. This buffer may be overwritten by the decoder. Could be NULL for NPPI_JPEG_DECODE_CPU.

The documentation for this struct was generated from the following file:

- C:/src/sw/rel/gpgpu/toolkit/r10.0/NPP/npp/include/nppi_compression_functions.h

Copyright © 2009-2017 NVIDIA Corporation